## coreutils 9.5

=== debian/changelog ===
coreutils (9.5-1ubuntu4) questing; urgency=medium

  * Run the autopkgtest against both Rust and GNU versions.
    Disable the failing nanosecond test case for stat for Rust,
    and re-enable it for the GNU version only.
    Some specific care had to be taken around swapping the default
    provider: The coreutils-from-uutils are Protected: yes, so we
    need to remove them inside the test script.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 25 Sep 2025 10:51:15 +0200

coreutils (9.5-1ubuntu3) questing; urgency=medium

  * d/p/suppress-permission-denied-errors-on-nfs.patch:
    - Avoid returning permission denied errors when running ls -l when reading
      file attributes. (LP: #2115274)

 -- Ghadi Elie Rahme <ghadi.rahme@canonical.com>  Tue, 24 Jun 2025 21:23:49 +0000

coreutils (9.5-1ubuntu2) questing; urgency=medium

  * Rename the binary package to gnu-coreutils and build with 'gnu' prefix

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 08 May 2025 11:06:23 +0200

coreutils (9.5-1ubuntu1.25.10.1) questing; urgency=medium

  * Modify d/rules to dh_auto_configure with --enable-systemd,
    and add libsystemd-dev as Build-Depends in d/control
    to solve LP: #2103489.

 -- Frank Heimes <frank.heimes@canonical.com>  Fri, 25 Apr 2025 08:55:05 +0200

coreutils (9.5-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
      + Ignore the cut-huge-range test failure on armhf, only seen on
        the buildds.
    - debian/tests:
      + Add dep8 tests
    - debian/patches/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - debian/patches/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.
    - d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
      + Avoid displaying snaps in output from df and other tools, by
        excluding display of squashfs filesystems.
        (LP #1219529, #1756595)
      + Exclude devtmpfs filesystems in output from df and other tools
        since it is a dummy filesystem.
        (LP #1219529)
    - d/p/cp-n.diff: skip tests/cp/cp-i.sh upstream test (LP #2055180)
      The behavior of cp -n is different in Debian than in upstream,
      and this test assumes upstream behavior of -n, and how it
      interacts with -i.
    - d/p/72_id_checkngroups.patch: refreshed
  * Dropped (upstreamed) changes:
    - d/p/tail-fix-tailing-sysfs-files-where-PAGE_SIZE-BUFSIZ.patch:
      Fix tailing of sysfs files on systems using a 64K page size.
      (LP 2047450)
    - SECURITY UPDATE: heap overflow in split --line-bytes with very long
      lines
      + debian/patches/CVE-2024-0684.patch: do not shrink hold buffer in
        src/split.c.
      + CVE-2024-0684

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 01:30:05 -0600

coreutils (9.5-1) unstable; urgency=low

  * New upstream version (Closes: #1033277)
  * drop cp -n patch
  * drop non-essential attributes in upstream/signing-key.asc to reduce size
  * update watch file to use https rather than ftp

 -- Michael Stone <mstone@debian.org>  Wed, 23 Oct 2024 09:08:43 -0400

coreutils (9.4-3.1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2075338). Remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
      + Ignore the cut-huge-range test failure on armhf, only seen on
        the buildds.
    - debian/tests:
      + Add dep8 tests
    - debian/patches/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - debian/patches/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.
    - d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
      + Avoid displaying snaps in output from df and other tools, by
        excluding display of squashfs filesystems.
        (LP #1219529, #1756595)
      + Exclude devtmpfs filesystems in output from df and other tools
        since it is a dummy filesystem.
        (LP #1219529)
    - d/p/tail-fix-tailing-sysfs-files-where-PAGE_SIZE-BUFSIZ.patch:
      Fix tailing of sysfs files on systems using a 64K page size.
      (LP 2047450)
    - SECURITY UPDATE: heap overflow in split --line-bytes with very long
      lines
      + debian/patches/CVE-2024-0684.patch: do not shrink hold buffer in
        src/split.c.
      + CVE-2024-0684
    - d/p/cp-n.diff: skip tests/cp/cp-i.sh upstream test (LP #2055180)
      The behavior of cp -n is different in Debian than in upstream,
      and this test assumes upstream behavior of -n, and how it
      interacts with -i.
    - d/p/72_id_checkngroups.patch: refreshed

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Wed, 31 Jul 2024 18:24:19 +0300
