## coreutils 9.7

=== debian/changelog ===
coreutils (9.7-3ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
      + Ignore the cut-huge-range test failure on armhf, only seen on
        the buildds.
    - d/tests:
      + Add dep8 tests
    - d/p/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - d/p/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.
    - d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
      + Avoid displaying snaps in output from df and other tools, by
        excluding display of squashfs filesystems.
        (LP #1219529, #1756595)
      + Exclude devtmpfs filesystems in output from df and other tools
        since it is a dummy filesystem.
        (LP #1219529)
    - d/p/cp-n.diff: skip tests/cp/cp-i.sh upstream test (LP #2055180)
      The behavior of cp -n is different in Debian than in upstream,
      and this test assumes upstream behavior of -n, and how it
      interacts with -i.
    - d/p/72_id_checkngroups.patch: refreshed
    - Rename the binary package to gnu-coreutils and build with 'gnu' prefix.
    - Run the autopkgtest against both Rust and GNU versions.
      Disable the failing nanosecond test case for stat for Rust,
      and re-enable it for the GNU version only.
      Some specific care had to be taken around swapping the default
      provider: The coreutils-from-uutils are Protected: yes, so we
      need to remove them inside the test script.
  * Dropped (upstreamed) changes:
    - d/p/suppress-permission-denied-errors-on-nfs.patch:
      - Avoid returning permission denied errors when running ls -l when reading
        file attributes. (LP #2115274)

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Oct 2025 09:10:01 +0200

coreutils (9.7-3) unstable; urgency=high

  * Correct spurious permission denied errors messages when copying from a file
    with NFS ACLs to a filesystem which supports different ACLs.
    (Backport of upstream fix.) (Closes: #1107169)
  * Additional lintian overrides (for "mono", which is not defined for
    terminals but is for other output formats) to address remaining lintian
    warnings.

 -- Michael Stone <mstone@debian.org>  Wed, 04 Jun 2025 11:14:05 -0400

coreutils (9.7-2) unstable; urgency=low

  * Build without y2038 support on hurd-i386 (Closes: #1078000)
  * Hardening build flags (Closes: #1023556)
  * Update URLs and metadata (Closes: #1057101)
  * Support nodoc build profile (Closes: #1057136)
  * Remove md5sum.textutils link (Closes: #1061302)
  * Use DEB_VENDOR for packager name
  * Lintian overrides
  * Update standards version (no changes)

 -- Michael Stone <mstone@debian.org>  Sun, 20 Apr 2025 13:39:09 -0400

coreutils (9.7-1) unstable; urgency=low

  * New upstream version
  * Remove Breaks: usrmerge
  * Add libsystemd dependency (Closes: #1080330)
  * Add packager to version output (Closes: #1094325)

 -- Michael Stone <mstone@debian.org>  Wed, 09 Apr 2025 09:09:41 -0400

coreutils (9.6-2) unstable; urgency=low

  * Backport upstream commit 915004f4 to address crash in ls -Z

 -- Michael Stone <mstone@debian.org>  Fri, 04 Apr 2025 10:54:18 -0400

coreutils (9.6-1) unstable; urgency=low

  * New upstream version
  * Disable autoreconf on build (for now)

 -- Michael Stone <mstone@debian.org>  Thu, 03 Apr 2025 13:29:08 -0400
