=== debian/control ===
--- 
+++ 
@@ -3,15 +3,14 @@
 XSBC-Original-Maintainer: Michael Stone <mstone@debian.org>
 Section: utils
 Priority: required
-Standards-Version: 4.5.0
-Build-Depends: gettext (>= 0.10.37), debhelper-compat (= 13), texinfo (>= 4.2), groff, libattr1-dev [linux-any], libacl1-dev [linux-any], libselinux1-dev (>= 1.32) [linux-any], gperf, bison, libgmp3-dev, libssl-dev, libsystemd-dev
+Standards-Version: 4.7.2
+Build-Depends: gettext (>= 0.10.37), debhelper-compat (= 13), texinfo (>= 4.2) <!nodoc>, libattr1-dev [linux-any], libacl1-dev [linux-any], libselinux1-dev (>= 1.32) [linux-any], gperf, bison, libgmp3-dev, libssl-dev, libsystemd-dev
 
 Package: gnu-coreutils
 Architecture: any
 Multi-Arch: foreign
 Pre-Depends: ${shlibs:Depends}, ${misc:Pre-Depends}
 Depends: ${misc:Depends}
-Breaks: usrmerge (<< 39)
 Replaces: coreutils (<< 9.5-1ubuntu2~)
 Description: GNU core utilities
  This package contains the basic file, shell and text manipulation
@@ -26,4 +25,4 @@
  rmdir runcon sha*sum seq shred sleep sort split stat stty sum sync tac 
  tail tee test timeout touch tr true truncate tsort tty uname unexpand 
  uniq unlink users vdir wc who whoami yes
-Homepage: http://gnu.org/software/coreutils
+Homepage: https://gnu.org/software/coreutils
