=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,20 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DEB_CFLAGS_MAINT_APPEND = -DSYSLOG_SUCCESS -DSYSLOG_FAILURE -DSYSLOG_NON_ROOT
 
 # Renesas SH(sh4) need -mieee option.
 ifeq ($(DEB_HOST_ARCH_CPU),sh4)
   DEB_CFLAGS_MAINT_APPEND += -mieee
+endif
+
+ifeq ($(DEB_HOST_ARCH),hurd-i386)
+  Y2038 = --disable-year2038
+endif
+
+ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
+  export MAKEINFO = true
 endif
 
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
@@ -28,14 +37,20 @@
 	mktemp
 d=debian/$(PACKAGE_PREFIX)coreutils
 
+override_dh_update_autotools_config:
+	# don't do this
+
+override_dh_autoreconf:
+	# don't do this
+
 override_dh_auto_configure:
 ifeq ($(cross_build),yes)
 	echo 'fu_cv_sys_stat_statfs2_bsize=yes' > config.cache
 endif
-	dh_auto_configure -- --program-prefix=gnu --enable-systemd --enable-install-program=arch --with-openssl=auto-gpl-compat $(CROSS_CONFIGURE_FLAGS)
+	dh_auto_configure -- --program-prefix=gnu --enable-systemd --enable-install-program=arch --with-openssl=auto-gpl-compat --with-packager=$(DEB_VENDOR) --with-packager-version=$(DEB_VERSION) $(Y2038)
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_clean:
 	make distclean || true
@@ -77,12 +92,6 @@
 override_dh_install-arch: 
 	dh_install -a
 
-ifeq ($(PROGRAM_PREFIX),)
-	# backward compatability
-	ln -s /usr/bin/md5sum $(d)/usr/bin/md5sum.textutils
-	ln -s /usr/share/man/man1/md5sum.1 $(d)/usr/share/man/man1/md5sum.textutils.1
-endif
-
 	# remove stuff provided by other packages
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	# kill from procps is linux-specific
@@ -105,9 +114,9 @@
 	# some build environments will leave a dangling info dir
 	rm -f $(d)/usr/share/info/dir
 
-	cp AUTHORS \
- 		NEWS README \
- 		THANKS \
- 		TODO \
- 		$(d)/usr/share/doc/$(PACKAGE_PREFIX)coreutils
+ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
+	# Remove info files and manual pages if building with <nodoc>
+	rm -rf $(d)/usr/share/info/
+	rm -rf $(d)/usr/share/man/
+endif
