=== debian/tests/control ===
Tests: upstream-rust
Depends: coreutils-from-uutils, acl, strace

# We need to allow-remove-essential to remove coreutils-from-uutils and install coreutils-from-gnu,
# so we cannot do this in Depends here.
Tests: upstream-gnu
Depends: coreutils, gnu-coreutils, acl, strace
Restrictions: needs-root
