## coreutils 9.10

=== debian/changelog ===
coreutils (9.10-1) unstable; urgency=low

  * New upstream version
    - cksum now supports sha3
  * update to policy 4.7.3 (minor changes)

 -- Michael Stone <mstone@debian.org>  Thu, 26 Feb 2026 16:59:53 -0500
