=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: coreutils
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Stone <mstone@debian.org>
+Maintainer: Michael Stone <mstone@debian.org>
 Section: utils
-Priority: required
-Standards-Version: 4.7.2
-Build-Depends: gettext (>= 0.10.37), debhelper-compat (= 13), texinfo (>= 4.2) <!nodoc>, libattr1-dev [linux-any], libacl1-dev [linux-any], libselinux1-dev (>= 1.32) [linux-any], gperf, bison, libgmp3-dev, libssl-dev, libsystemd-dev
+Standards-Version: 4.7.3
+Build-Depends: gettext (>= 0.10.37), debhelper-compat (= 13), texinfo (>= 4.2) <!nodoc>, libattr1-dev [linux-any], libacl1-dev [linux-any], libselinux-dev [linux-any], gperf, bison, libgmp3-dev, libssl-dev, libsystemd-dev
 
-Package: gnu-coreutils
+Package: coreutils
 Architecture: any
 Multi-Arch: foreign
 Pre-Depends: ${shlibs:Depends}, ${misc:Pre-Depends}
+Essential: yes
 Depends: ${misc:Depends}
-Replaces: coreutils (<< 9.5-1ubuntu2~)
+Priority: required
 Description: GNU core utilities
  This package contains the basic file, shell and text manipulation
  utilities which are expected to exist on every operating system.
